%global         momorel 1

Name:           perl-Log-Report-Lexicon
Version:        1.03
Release:        %{momorel}m%{?dist}
Summary:        Translations
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Log-Report-Lexicon/
Source0:        http://www.cpan.org/authors/id/M/MA/MARKOV/Log-Report-Lexicon-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Cwd
BuildRequires:  perl-Encode
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Fcntl
BuildRequires:  perl-File-Temp
BuildRequires:  perl-IO
BuildRequires:  perl-List-Util
BuildRequires:  perl-Log-Report >= 1.00
BuildRequires:  perl-POSIX
BuildRequires:  perl-Test-Simple >= 0.86
Requires:       perl-Cwd
Requires:       perl-Encode
Requires:       perl-Fcntl
Requires:       perl-File-Temp
Requires:       perl-IO
Requires:       perl-List-Util
Requires:       perl-Log-Report >= 1.00
Requires:       perl-POSIX
Requires:       perl-Test-Simple >= 0.86
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This module is the main extry point for the distribution, but has currently
no further use. This distribution contains all components of Log::Report
which handle translations.

%prep
%setup -q -n Log-Report-Lexicon-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# Remove Win related files
rm -f %{buildroot}%{perl_vendorlib}/Log/Report/Win32Locale*

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog META.json README
%{_bindir}/xgettext-perl
%{perl_vendorlib}/Log/Report/Extract.pm
%{perl_vendorlib}/Log/Report/Extract.pod
%{perl_vendorlib}/Log/Report/Extract
%{perl_vendorlib}/Log/Report/Lexicon.pm
%{perl_vendorlib}/Log/Report/Lexicon.pod
%{perl_vendorlib}/Log/Report/Lexicon
%{perl_vendorlib}/Log/Report/Translator
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.03-1m)
- rebuild against perl-5.20.0
- update to 1.03

* Fri Mar 21 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.02-1m)
- update to 1.02

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.01-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
